function [newMatrix, newVector] = calculate(coffMatrix, intensityVector)
% Calculates result of coffMatrix * P = intensityVector, 
% returns a simpler linear equation newMatrix * P = newVector
    global EPSILON; % Small value
    global lastMatrix;
    global lastVect;
    
    lastMatrix = coffMatrix;
    lastVect = intensityVector;
    
	cRank = rank(coffMatrix);
	cSize = size(coffMatrix, 2);
	if cRank < cSize
        %Change to orthogonal basis
        coffMatrix2 = cleanUpMatrix(coffMatrix);
        coffMatrix2 = cleanUpMatrix(coffMatrix2);
        %dRank = rank(coffMatrix);
        %[rankM, numRank] = computeNumRank(coffMatrix)
        rowBasis = orth(coffMatrix')';
        intensityVector = rowBasis * pinv(coffMatrix) * intensityVector;
        coffMatrix = rowBasis;
        
        ench = rref(cat(2, coffMatrix, intensityVector), EPSILON);

        newMatrix = ench(:, 1 : cSize);
        newVector = ench(:, cSize + 1);
        
	else
        % matlab can do a least square...
        newMatrix = eye(cSize);
        newVector = coffMatrix \ intensityVector; 
	end

