function y= createMotherMatrices(allFragments)
% creates the matrices for the mother spectra

    % inputArray = 1*n struct array with fields mass,type and intensity 
    % formula is the array representation of the molecule formula

    global A;
    global B;
    global InputArray;
    
    Am=[];
    Bm=[];
    
    formula=allFragments(1).formula; 
    columns=2^formula(1).atomCnt;
    rowsOfInput=length(InputArray);
    baseMz=allFragments(1).mz;
    probabilities=calculateIsotopomerProbability(formula,maxNumberOfLabels(formula));
       
    fsUsed=0;
    disUsed=0;
    row=0;
    
    
    for i=1:rowsOfInput
        if isnan(InputArray(i).mother) 
            row=row+1;
	        Bm(row,1)=InputArray(i).intensity;
            for column=1:columns
                x=InputArray(i).mz-baseMz-countLabelsInCarbons(column);
		        % x=labels in non-carbon part
	            if x<0
		            Am(row,column)=0;
	            else
                    
		            Am(row,column)=probabilities(1,x+1);
                end
            end
        elseif finite(InputArray(i).mother)
            disUsed=1;
        else
            fsUsed=1;
        end;    
    end	
    A=cat(1,A,Am);
    B=cat(1,B,Bm);
    
    if fsUsed
        createFsMatrices(allFragments);
    end
    if disUsed
        createDisMatrices(allFragments);
    end
    
    

    