function y = createTripleMatrix(atomCnt, extraNeutrons)
% Creates a matrix that enumerates all possible combinations of
% +0, +1- and +2-isotopes of an atom to get a given amount of labels
% (function assumes that +2-isotopes are possible)
%
% Parameters
%  atomCnt = number of atoms
%  extraNeutrons = required sum

% Mika Miettinen

    matrix = zeros(0, 3);
    row = zeros(1, 3);
    % loop over all possible amounts of +2-isotopes
    for i = 0 : floor(extraNeutrons / 2) 
        k1 = extraNeutrons - 2*i;
        if k1 + i > atomCnt 
            continue;
        end
        row(1) = atomCnt - (k1+i); % +0:s
        row(2) = k1; % +1:s
        row(3) = i; % and +2:s
        matrix = cat(1, matrix, row); 
    end
    y = matrix;
    
