function [y, isoY] = findFragments(mothermz)
% Returns max two fragments corresponding to a given mother and changes
% fragments' relative intensities to relative probabilities
% Parameters:
%   mothermz = mass of the mother

% (c) Mika Miettinen, Pasi Rastas

    global AminoAcids;
    LEU_ILE_MASS = 132;

    found = 0;
    foundIso = 0;
    i = 1;
    relevantPart = [];
    relevantPartIso = [];

    while (~found | ~foundIso) & (i <= length(AminoAcids))
        if AminoAcids(i).mass == mothermz
            if (~found)
                relevantPart = AminoAcids(i).fragments;
                found = 1;
            else
                relevantPartIso = AminoAcids(i).fragments;
                foundIso = 1;
            end
        end
        i = i + 1;
    end

    sum = 0;
    for j = 1 : length(relevantPart)
        if ~isnan(relevantPart(j).probability)
            sum = sum + relevantPart(j).probability;
        end
    end

    for j = 1 : length(relevantPart)
        if ~isnan(relevantPart(j).probability)
            relevantPart(j).probability = relevantPart(j).probability / sum;
        end
    end

    sum = 0;
    for j = 1 : length(relevantPartIso)
        if ~isnan(relevantPartIso(j).probability)
            sum = sum + relevantPartIso(j).probability;
        end
    end

    for j = 1 : length(relevantPartIso)
        if ~isnan(relevantPartIso(j).probability)
            relevantPartIso(j).probability = relevantPartIso(j).probability / sum;
        end
    end

    y = relevantPart;
    isoY = relevantPartIso;
