function myMessage(msgPrefix, msgCode)
%display message corresponging to msgCode on status field.
%Timo 03.11.2002, Mika Miettinen 7.11.2002, 19.11.2002

switch (msgCode)
    case -11
        message = strcat(msgPrefix, 'first column must contain a number');
    case -12
        message = strcat(msgPrefix, 'second column must contain a number');
    case -13
        message = strcat(msgPrefix, 'third column must be ''M'', ''D'' or empty');
    case -14
        message = strcat(msgPrefix, 'the end of line contains garbage');
    case -15
        message = strcat(msgPrefix, 'no lines were accepted');
    case -21
        message = strcat(msgPrefix, 'first column must be a valid shorthand for an amino acid');
    case -22
        message = strcat(msgPrefix, 'second column must be an ''M'' or ''D''');
    case -23
        message = strcat(msgPrefix, 'third column must have a valid atomic formula in it');
    case -24
        message = strcat(msgPrefix, 'fourth column must have a valid carbon chain');
    case -25
        message = strcat(msgPrefix, 'fifth column must be an m/z value');
    case -26
        message = strcat(msgPrefix, 'sixth column must be empty or contain a number');
    case -27
        message = strcat(msgPrefix, 'the end of the line contains garbage');
    case -29
        message = strcat(msgPrefix, 'no lines were accepted');
    case -28
        message = strcat(msgPrefix, 'Mass of the mother ion is not equal to the mass given in initializeGlobals.m');
    case -30
        message = strcat(msgPrefix, 'Sizes of constraint matrices do not match!');
    case -99
        message = msgPrefix;
end

[h,fig] = gcbo;
handles = guihandles(fig);
set(handles.textStatus,'String',message);
guidata(gcbo,handles);

